---
title: List all WAF policies
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Application Security
---

# List all WAF policies{% #list-all-waf-policies %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                     |
| ----------------- | -------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/remote_config/products/asm/waf/policies |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/remote_config/products/asm/waf/policies |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/remote_config/products/asm/waf/policies      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/remote_config/products/asm/waf/policies      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/remote_config/products/asm/waf/policies  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/remote_config/products/asm/waf/policies     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/remote_config/products/asm/waf/policies |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/remote_config/products/asm/waf/policies |

### Overview

Retrieve a list of WAF policies.

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response object that includes a list of WAF policies.

| Parent field | Field                         | Type      | Description                                                                                                                      |
| ------------ | ----------------------------- | --------- | -------------------------------------------------------------------------------------------------------------------------------- |
|              | data                          | [object]  | The WAF policy data.                                                                                                             |
| data         | attributes                    | object    | A WAF policy.                                                                                                                    |
| attributes   | description [*required*] | string    | Description of the WAF policy.                                                                                                   |
| attributes   | isDefault                     | boolean   | Make this policy the default policy. The default policy is applied to every service not specifically assigned to another policy. |
| attributes   | name [*required*]        | string    | The name of the WAF policy.                                                                                                      |
| attributes   | protectionPresets             | [string]  | Presets enabled on this policy.                                                                                                  |
| attributes   | rules                         | [object]  | Rule overrides applied by the policy.                                                                                            |
| rules        | blocking [*required*]    | boolean   | When blocking is enabled, the rule will block the traffic matched by this rule.                                                  |
| rules        | enabled [*required*]     | boolean   | When false, this rule will not match any traffic.                                                                                |
| rules        | extended_data_collection      | boolean   | When true, collects additional data from the WAF for this rule.                                                                  |
| rules        | id [*required*]          | string    | Override the parameters for this WAF rule identifier.                                                                            |
| attributes   | rulesets                      | [object]  | **DEPRECATED**: Deprecated: Ruleset overrides. Use `protectionPresets` instead.                                                  |
| rulesets     | blocking [*required*]    | boolean   | When blocking is enabled, the ruleset will block the traffic it matches.                                                         |
| rulesets     | enabled [*required*]     | boolean   | When false, this ruleset will not match any traffic.                                                                             |
| rulesets     | id [*required*]          | string    | The identifier of the ruleset to override.                                                                                       |
| attributes   | scope                         | [object]  | The scope of the WAF policy.                                                                                                     |
| scope        | env [*required*]         | string    | The environment scope for the WAF policy.                                                                                        |
| scope        | service [*required*]     | string    | The service scope for the WAF policy.                                                                                            |
| attributes   | version                       | int64     | Version of the WAF ruleset maintained by Datadog used by this policy. 0 is the default value.                                    |
| data         | id                            | string    | The ID of the policy.                                                                                                            |
| data         | meta                          | object    | Metadata associated with the WAF policy.                                                                                         |
| meta         | added_at                      | date-time | The date and time the WAF policy was created.                                                                                    |
| meta         | added_by                      | string    | The handle of the user who created the WAF policy.                                                                               |
| meta         | added_by_name                 | string    | The name of the user who created the WAF policy.                                                                                 |
| meta         | modified_at                   | date-time | The date and time the WAF policy was last updated.                                                                               |
| meta         | modified_by                   | string    | The handle of the user who last updated the WAF policy.                                                                          |
| meta         | modified_by_name              | string    | The name of the user who last updated the WAF policy.                                                                            |
| data         | type                          | enum      | The type of the resource. The value should always be `policy`. Allowed enum values: `policy`                                     |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "description": "Policy applied to internal web applications.",
        "isDefault": false,
        "name": "Internal Network Policy",
        "protectionPresets": [
          "attack-tools"
        ],
        "rules": [
          {
            "blocking": false,
            "enabled": true,
            "extended_data_collection": false,
            "id": "rasp-001-002"
          }
        ],
        "rulesets": [
          {
            "blocking": false,
            "enabled": true,
            "id": "attack_tool"
          }
        ],
        "scope": [
          {
            "env": "prod",
            "service": "billing-service"
          }
        ],
        "version": 0
      },
      "id": "2857c47d-1e3a-4300-8b2f-dc24089c084b",
      "meta": {
        "added_at": "2021-01-01T00:00:00Z",
        "added_by": "john.doe@datadoghq.com",
        "added_by_name": "John Doe",
        "modified_at": "2021-01-01T00:00:00Z",
        "modified_by": "john.doe@datadoghq.com",
        "modified_by_name": "John Doe"
      },
      "type": "policy"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Not Authorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/remote_config/products/asm/waf/policies" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
